#
# spec file for package most
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           most
Version:        5.0.0a
Release:        10.2
Summary:        Browse or page through a text file
License:        GPL-2.0+
Group:          Productivity/Text/Utilities
Url:            http://www.jedsoft.org/most/
Source0:        http://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2
Source1:        http://www.jedsoft.org/releases/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
BuildRequires:  pkg-config
BuildRequires:  slang-devel >= 2.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
most is a paging program that displays, one windowful at a time, the contents
of a file on a terminal. It pauses after each windowful and prints on the
window status line the screen the file name, current line number, and the
percentage of the file so far displayed.

Unlike other paging programs, most is capable of displaying an arbitrary number
of windows as long as each window occupies at least two screen lines. Each
window may contain the same file or a different file. In addition, each window
has its own mode. For example, one window may display a file with its lines
wrapped while another may be truncating the lines. Windows may be `locked'
together in the sense that if one of the locked windows scrolls, all locked
windows will scroll. most is also capable of ignoring lines that are indented
beyond a user specified value. This is useful when viewing computer programs to
pick out gross features of the code. See the `:o' command for a description of
this feature.

In addition to displaying ordinary text files, most can also display binary
files as well as files with arbitrary ascii characters. When a file is read
into a buffer, most examines the first 32 bytes of the file to determine if the
file is a binary file and then switches to the appropriate mode. However, this
feature may be disabled with the -k option. See the description of the -b, -k,
-v, and -t options for further details.

%prep
%setup -q

%build
%configure \
	--enable-warnings

make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

rm -rf "%{buildroot}%{_datadir}/doc"

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT
%doc changes.txt most-fun.txt
%doc most.rc lesskeys.rc
%{_bindir}/%{name}
%doc %{_mandir}/man1/most.1*

%changelog
* Wed Feb 25 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Clean dependencies
- Update urls
- Add gpg key
* Tue Jun  7 2011 pascal.bleser@opensuse.org
- initial version (5.0.0a)
